Summary: Library for reading lines from a terminal
Name: readline
Version: 2.0
Release: 10
Copyright: GPL
Group: Libraries
Source: prep.ai.mit.edu:/pub/gnu/readline-2.0.tar.gz
Patch0: readline-2.0-shlib.patch
Patch1: readline-2.0-alpha.patch
Patch2: rl-sig.patch
BuildRoot: /tmp/rl-root
Prefix: /usr
%description 
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package devel
Summary: file for developing programs that use the readline library
Group: Libraries
%description devel
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 

%build
./configure --prefix=/usr

%ifarch axp
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DTERMIOS_TTY_DRIVER"
%endif

make CFLAGS="$RPM_OPT_FLAGS"
make CFLAGS="$RPM_OPT_FLAGS" shared

%install
rm -rf $RPM_BUILD_ROOT
for I in usr/lib usr/include usr/man/man3 usr/info; do
	mkdir -p $RPM_BUILD_ROOT/$I
done
make prefix=$RPM_BUILD_ROOT/usr installall
ln -sf libreadline.so.2.0 $RPM_BUILD_ROOT/usr/lib/libreadline.so.2

ln -sf libreadline.so.2.0 $RPM_BUILD_ROOT/usr/lib/libreadline.so
ln -sf libhistory.so.2.0 $RPM_BUILD_ROOT/usr/lib/libhistory.so

for n in history.info readline.info readline.info-1 readline.info-2; do
    cp doc/$n $RPM_BUILD_ROOT/usr/info
    gzip -nf9 $RPM_BUILD_ROOT/usr/info/$n
done
cp doc/readline.3 $RPM_BUILD_ROOT/usr/man/man3/readline.3
gzip -nf9 $RPM_BUILD_ROOT/usr/man/man3/readline.3
/sbin/ldconfig
 
%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/man/man3/readline.3.gz
/usr/info/history.info.gz
/usr/info/readline.info.gz
/usr/info/readline.info-1.gz
/usr/info/readline.info-2.gz

/usr/lib/libreadline.so.2.0
/usr/lib/libreadline.so.2
/usr/lib/libhistory.so.2.0

%files devel
/usr/include/readline
/usr/lib/libreadline.a

/usr/lib/libreadline.so
/usr/lib/libhistory.so
